import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { Bus_recover_order } from '../models/index' 
/**
 * @author auto generate
 * @version 1.2
 * @date 2021-12-20 17:46
 */
interface Bus_recover_orderCU extends ConditionUtil<Bus_recover_orderCU>{
    ORDER_NO:FieldUtil<Bus_recover_orderCU>;
    USER_ID:FieldUtil<Bus_recover_orderCU>;
    OPEN_ID:FieldUtil<Bus_recover_orderCU>;
    LOT_ID:FieldUtil<Bus_recover_orderCU>;
    CAR_PLATE_NUM:FieldUtil<Bus_recover_orderCU>;
    AMOUNT:FieldUtil<Bus_recover_orderCU>;
    DETAIL:FieldUtil<Bus_recover_orderCU>;
    CURRENT_BILL_INFO:FieldUtil<Bus_recover_orderCU>;
    ORDER_TYPE:FieldUtil<Bus_recover_orderCU>;
    CREATE_TIME:FieldUtil<Bus_recover_orderCU>;
    PAY_STATE:FieldUtil<Bus_recover_orderCU>;
    PAY_TIME:FieldUtil<Bus_recover_orderCU>;
    SYNC_STATE:FieldUtil<Bus_recover_orderCU>;
    SYNC_TIME:FieldUtil<Bus_recover_orderCU>;
}

class Bus_recover_orderCUImpl extends ConditionUtilImpl<Bus_recover_orderCUImpl> implements Bus_recover_orderCU{ 
    newInstance(): Bus_recover_orderCUImpl {
        return new Bus_recover_orderCUImpl();
    } 
    get ORDER_NO(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('ORDER_NO','orderNo','订单号', this);
    }
    get USER_ID(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('USER_ID','userId','用户ID', this);
    }
    get OPEN_ID(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('OPEN_ID','openId','openId', this);
    }
    get LOT_ID(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('LOT_ID','lotId','车场ID', this);
    }
    get CAR_PLATE_NUM(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('CAR_PLATE_NUM','carPlateNum','车牌号', this);
    }
    get AMOUNT(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('AMOUNT','amount','应收总金额  单位：分', this);
    }
    get DETAIL(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('DETAIL','detail','账单明细', this);
    }
    get CURRENT_BILL_INFO(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('CURRENT_BILL_INFO','currentBillInfo','本次订单明细', this);
    }
    get ORDER_TYPE(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('ORDER_TYPE','orderType','跟车订单类型：00入口标准 01出口非标 02出口合并缴费', this);
    }
    get CREATE_TIME(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get PAY_STATE(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('PAY_STATE','payState','支付状态：00支付成功 01未支付 02支付失败', this);
    }
    get PAY_TIME(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('PAY_TIME','payTime','支付时间', this);
    }
    get SYNC_STATE(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('SYNC_STATE','syncState','同步状态：00同步成功 01未同步 02同步失败', this);
    }
    get SYNC_TIME(): FieldUtil<Bus_recover_orderCU>{  
        return new FieldUtil('SYNC_TIME','syncTime','同步时间', this);
    }
}

@Singleton 
class Bus_recover_orderMU extends TableUtilImpl<Bus_recover_orderCU,Bus_recover_order>{ 
    tableName  = 'bus_recover_order';
    tableFields  = ['ORDER_NO','USER_ID','OPEN_ID','LOT_ID','CAR_PLATE_NUM','AMOUNT','DETAIL','CURRENT_BILL_INFO','ORDER_TYPE','CREATE_TIME','PAY_STATE','PAY_TIME','SYNC_STATE','SYNC_TIME'];
    modelFields  = ['orderNo','userId','openId','lotId','carPlateNum','amount','detail','currentBillInfo','orderType','createTime','payState','payTime','syncState','syncTime'];
    modelIdFields  = ['orderNo'];
    tableIdFields  = ['ORDER_NO'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): Bus_recover_orderCU {
        return new Bus_recover_orderCUImpl();
    }   

    static get ORDER_NO(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('ORDER_NO','orderNo','订单号', new Bus_recover_orderCUImpl());
    }
    static get USER_ID(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('USER_ID','userId','用户ID', new Bus_recover_orderCUImpl());
    }
    static get OPEN_ID(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('OPEN_ID','openId','openId', new Bus_recover_orderCUImpl());
    }
    static get LOT_ID(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('LOT_ID','lotId','车场ID', new Bus_recover_orderCUImpl());
    }
    static get CAR_PLATE_NUM(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('CAR_PLATE_NUM','carPlateNum','车牌号', new Bus_recover_orderCUImpl());
    }
    static get AMOUNT(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('AMOUNT','amount','应收总金额  单位：分', new Bus_recover_orderCUImpl());
    }
    static get DETAIL(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('DETAIL','detail','账单明细', new Bus_recover_orderCUImpl());
    }
    static get CURRENT_BILL_INFO(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('CURRENT_BILL_INFO','currentBillInfo','本次订单明细', new Bus_recover_orderCUImpl());
    }
    static get ORDER_TYPE(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('ORDER_TYPE','orderType','跟车订单类型：00入口标准 01出口非标 02出口合并缴费', new Bus_recover_orderCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new Bus_recover_orderCUImpl());
    }
    static get PAY_STATE(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('PAY_STATE','payState','支付状态：00支付成功 01未支付 02支付失败', new Bus_recover_orderCUImpl());
    }
    static get PAY_TIME(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('PAY_TIME','payTime','支付时间', new Bus_recover_orderCUImpl());
    }
    static get SYNC_STATE(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('SYNC_STATE','syncState','同步状态：00同步成功 01未同步 02同步失败', new Bus_recover_orderCUImpl());
    }
    static get SYNC_TIME(): FieldUtil<Bus_recover_orderCU>{ 
        return new FieldUtil('SYNC_TIME','syncTime','同步时间', new Bus_recover_orderCUImpl());
    }

    get ORDER_NO(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.ORDER_NO;
    }
    get USER_ID(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.USER_ID;
    }
    get OPEN_ID(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.OPEN_ID;
    }
    get LOT_ID(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.LOT_ID;
    }
    get CAR_PLATE_NUM(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.CAR_PLATE_NUM;
    }
    get AMOUNT(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.AMOUNT;
    }
    get DETAIL(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.DETAIL;
    }
    get CURRENT_BILL_INFO(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.CURRENT_BILL_INFO;
    }
    get ORDER_TYPE(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.ORDER_TYPE;
    }
    get CREATE_TIME(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.CREATE_TIME;
    }
    get PAY_STATE(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.PAY_STATE;
    }
    get PAY_TIME(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.PAY_TIME;
    }
    get SYNC_STATE(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.SYNC_STATE;
    }
    get SYNC_TIME(): FieldUtil<Bus_recover_orderCU>{ 
        return Bus_recover_orderMU.SYNC_TIME;
    }
}
export {Bus_recover_orderMU, Bus_recover_orderCU}
